Module java.base
Package java.lang.invoke

# Class LambdaConversionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.invoke.LambdaConversionException

All Implemented Interfaces:
  `Serializable`

public class LambdaConversionException extends Exception
LambdaConversionException

Since:
  1.8
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LambdaConversionException()`
Constructs a `LambdaConversionException`.
`LambdaConversionException(String message)`
Constructs a `LambdaConversionException` with a message.
`LambdaConversionException(String message, Throwable cause)`
Constructs a `LambdaConversionException` with a message and cause.
`LambdaConversionException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
Constructs a `LambdaConversionException` with a message, cause, and other settings.
`LambdaConversionException(Throwable cause)`
Constructs a `LambdaConversionException` with a cause.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LambdaConversionException

public LambdaConversionException()
Constructs a `LambdaConversionException`.

### LambdaConversionException

public LambdaConversionException(String message)
Constructs a `LambdaConversionException` with a message.

Parameters:
  `message` - the detail message

### LambdaConversionException

public LambdaConversionException(String message, Throwable cause)
Constructs a `LambdaConversionException` with a message and cause.

Parameters:
  `message` - the detail message
  `cause` - the cause

### LambdaConversionException

public LambdaConversionException(Throwable cause)
Constructs a `LambdaConversionException` with a cause.

Parameters:
  `cause` - the cause

### LambdaConversionException

public LambdaConversionException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)
Constructs a `LambdaConversionException` with a message, cause, and other settings.

Parameters:
  `message` - the detail message
  `cause` - the cause
  `enableSuppression` - whether or not suppressed exceptions are enabled
  `writableStackTrace` - whether or not the stack trace is writable